<div ...attributes>
  {{#if @enableTextValue}}
    <Editor::Properties::OptionContainer @label={{t "option-panel.text"}} as |id|>
      <Textarea class="form-control input-text input-title-text" @value={{this.text}} id={{id}} />
    </Editor::Properties::OptionContainer>
  {{/if}}

  <div class="title-style">
    {{#if @isHeading}}
      <Editor::Properties::Heading @value={{this.heading}} @onChange={{this.headingChanged}} />
    {{/if}}

    <Editor::Properties::ResponsiveValue @label={{t "option-panel.bs-property-display"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
      <Editor::Properties::DisplayHeadings @size={{size}} @options={{this.classes}} @onChange={{this.classesChanged}} />
    </Editor::Properties::ResponsiveValue>

    <Editor::Properties::Text @value={{this.value}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} @onChange={{this.valueChange}} @enableTextValue={{false}} />
  </div>
</div>